package de.ozgcloud.vorgang.common.userconfig;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

class UserConfigServiceTest {
	@Spy
	@InjectMocks
	private UserConfigService userConfigService;

	@Mock
	private UserConfigRemoteService userConfigRemoteService;

	@DisplayName("Test invocation of user config remote service")
	@Nested
	class TestUserConfigService {
		@Test
		void shouldCallUserConfigRemoteService() {
			userConfigService.getSupportedOrganisationsEinheiten();

			verify(userConfigRemoteService).getSupportedOrganisationsEinheiten();
		}
	}
}
