package de.ozgcloud.vorgang.vorgang;

public class VorgangStubTestFactory {

	public static VorgangStub create() {
		return createBuilder().build();
	}

	public static VorgangStub.VorgangStubBuilder createBuilder() {
		return VorgangStub.builder()
				.id(VorgangTestFactory.ID)
				.name(VorgangTestFactory.NAME)
				.createdAt(VorgangTestFactory.CREATED_AT)
				.header(VorgangHeadStub.builder().organisationsEinheitId(ZustaendigeStelleTestFactory.ORGANISATIONSEINHEIT_ID).build())
				.eingangs(EingangStub.builder().zustaendigeStelle(ZustaendigeStelleStub.builder()
						.organisationseinheitenId(ZustaendigeStelleTestFactory.ORGANISATIONSEINHEIT_ID).build()).build());
	}
}
